> ## Documentation Index
> Fetch the complete documentation index at: https://docs.pathstack.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Update Tenant By Id

> This endpoint updates a Tenant.

You can specify the attributes which you want to be updated and their new values.

The updated Tenant is returned in the response.



## OpenAPI

````yaml openapi_2024-03-26 patch /tenant
openapi: 3.1.0
info:
  title: FastAPI
  version: '2024-03-26'
servers:
  - url: https://api.pathstack.io
    description: PathStack production environment
security: []
paths:
  /tenant:
    patch:
      tags:
        - Tenants
      summary: Update Tenant By Id
      description: >-
        This endpoint updates a Tenant.


        You can specify the attributes which you want to be updated and their
        new values.


        The updated Tenant is returned in the response.
      operationId: update_tenant_by_id_tenant_patch
      parameters:
        - name: x-api-version
          in: header
          required: false
          schema:
            type: string
            format: date
            default: '2024-03-26'
            title: X-Api-Version
          examples:
            default:
              value: '2024-03-26'
      requestBody:
        required: true
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/TenantUpdate'
      responses:
        '200':
          description: Successful Response
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/Success_TenantResponse_'
        '400':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 400
                        title: Error code
                      message:
                        type: string
                        example: Invalid JWT format
                        title: Error message
          description: Bad Request
        '401':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 401
                        title: Error code
                      message:
                        type: string
                        example: >-
                          Authentication header is missing, or token is
                          invalid/expired.
                        title: Error message
          description: Unauthorized
        '403':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 403
                        title: Error code
                      message:
                        type: string
                        example: You do not have access to this resource
                        title: Error message
          description: Forbidden
        '404':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 404
                        title: Error code
                      message:
                        type: string
                        example: Device with ID <device_id> not found
                        title: Error message
          description: Not Found
        '422':
          content:
            application/json:
              schema:
                properties:
                  error:
                    type: object
                    properties:
                      code:
                        type: integer
                        example: 422
                        title: Error code
                      message:
                        type: string
                        example: Field required
                        title: Error message
                      loc:
                        items:
                          anyOf:
                            - type: string
                            - type: integer
                        type: array
                        title: Location
                      msg:
                        type: string
                        title: Message
                      type:
                        type: string
                        title: Error Type
          description: Unprocessable Entity
      security:
        - JWTBearer: []
components:
  schemas:
    TenantUpdate:
      properties:
        name:
          anyOf:
            - type: string
            - type: 'null'
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
        toc_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Toc Link
        privacy_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Privacy Link
        configuration:
          anyOf:
            - $ref: '#/components/schemas/TenantConfiguration'
            - type: 'null'
      type: object
      required:
        - configuration
      title: TenantUpdate
    Success_TenantResponse_:
      properties:
        data:
          $ref: '#/components/schemas/TenantResponse'
          description: Successful response payload
      type: object
      required:
        - data
      title: Success[TenantResponse]
    TenantConfiguration:
      properties:
        providers:
          anyOf:
            - items:
                $ref: '#/components/schemas/ProviderEnum'
              type: array
            - type: 'null'
          title: Providers
        api_version:
          anyOf:
            - type: string
              format: date
            - type: 'null'
          title: Api Version
      type: object
      title: TenantConfiguration
    TenantResponse:
      properties:
        name:
          type: string
          title: Name
        description:
          anyOf:
            - type: string
            - type: 'null'
          title: Description
        logo_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Logo Url
        toc_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Toc Link
        privacy_link:
          anyOf:
            - type: string
            - type: 'null'
          title: Privacy Link
        configuration:
          anyOf:
            - $ref: '#/components/schemas/TenantConfiguration'
            - type: 'null'
        id:
          type: string
          format: uuid4
          title: Id
        connection_url:
          anyOf:
            - type: string
            - type: 'null'
          title: Connection Url
      type: object
      required:
        - name
        - description
        - logo_url
        - toc_link
        - privacy_link
        - id
        - connection_url
      title: TenantResponse
    ProviderEnum:
      type: string
      enum:
        - mtdata
        - geotab
        - navman
        - mixtelematics
        - radius
        - verizon_connect
        - volvo
        - fleetsu
        - digital_matter
        - netstar
        - netstar_v2
        - webfleet
        - scania
        - linxio
        - geoforce
        - michelin_connected_fleet
        - navixy
        - netcorp
        - mapon
      title: ProviderEnum
  securitySchemes:
    JWTBearer:
      type: http
      scheme: bearer

````